Creates a new db_info_data_db_report object
Request Information
URI Parameters :
None.
Body Parameters :
db_info_data_db_report| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier | |
| db_report_id |
Foreign key of the object using his Odyssee Guid Primary Key |
globally unique identifier |
Optionally required : db_report_id or db_report_reference_back_office must be provided |
| db_report_reference_back_office |
Foreign key of the object using ERP PK when adding/updating db_info_data |
string |
Optionally required : db_report_id or db_report_reference_back_office must be provided |
| db_info_field_id | globally unique identifier |
Optionally required : db_info_field_id, db_info_field_name or db_info_field must be provided |
|
| db_info_field_name | string |
Optionally required : db_info_field_id, db_info_field_name or db_info_field must be provided |
|
| db_info_field | db_info_field |
Optionally required : db_info_field_id, db_info_field_name or db_info_field must be provided |
|
| value |
The value of this info fields for this targetId. Follow the formating rules (API / HELP / Info Fields) |
string |
Required |
| reference_back_office |
The Id/Ref of the back office for this object |
string |
Max length: 50 |
| sys_logical_delete |
sys_logical_delete |
boolean | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "a9c49f51-3e18-4c00-a927-a406b3da0971",
"db_report_id": "3c50b215-0f05-48a9-970a-d4f113aab410",
"db_report_reference_back_office": "sample string 3",
"db_info_field_id": "04351687-5fd0-4915-b570-9d167cd7158c",
"db_info_field_name": "sample string 5",
"value": "sample string 6",
"reference_back_office": "sample string 7",
"sys_logical_delete": true,
"modified_dateutc": "2026-01-24T05:32:42.8090912+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.